Bug 1006689 - vercmp function used before it is defined in dracut-functions.sh
vercmp function used before it is defined in dracut-functions.sh
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
19
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 02:17 EDT by Elliott Forney
Modified: 2015-02-17 14:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:08:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elliott Forney 2013-09-11 02:17:23 EDT
Description of problem:

In /usr/lib/dracut/dracut-functions.sh the function vercmp is first used on line 86:

    if vercmp $(modprobe --version | cut -d' ' -f3) lt 3.7; then

but the function is not defined until line 129:

    vercmp() {

This gave me a "vercmp: command not found" error last time I ran dracut.


Version-Release number of selected component (if applicable):

dracut-029-2.fc19.x86_64


Additional info:

All the functions in this shell script should probably be defined at the top of the file to avoid these kinds of problems.  Currently, the function definitions are scattered throughout the script.
Comment 1 Fedora End Of Life 2015-01-09 14:47:45 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 James Cameron 2015-01-09 15:08:04 EST
I see this message daily with Fedora 18.

But in Fedora 20 with dracut-037-11.git20140402

(a) the "vercmp: command not found" is not seen, and

(b) in dracut-functions.sh vercmp is defined on line 144 immediately before first use in line 170.

So this seems fixed.
Comment 3 Fedora End Of Life 2015-02-17 12:08:26 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Elliott Forney 2015-02-17 14:40:45 EST
I agree, this appears to be fixed.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.